Skip to navigation

Pickup Creation

Using the Pickup API, applications can schedule pickups, manage previously scheduled pickups, or cancel previously scheduled pickups.

Authentication

AuthorizationBearer

Find your Client ID and Secret on your app info page.

  1. Select “Try It”
  2. In the Security section enter your Client ID and Secret.
  3. Select “Request Token”
  4. Enter any additional information in the Body and Parameters sections.
  5. Select “Send” to execute your API request

Path parameters

versionstringRequiredDefaults to v2409

Version of the API.

Valid values:

  • v2409

Headers

transIdstringOptional
An identifier unique to the request. Length 32
transactionSrcstringOptionalDefaults to testing

An identifier of the client/source application that is making the request.Length 512

Request

Generate sample code for popular API requests by selecting an example below. To view a full sample request and response, first click "Authorize" and enter your application credentials, then populate the required parameters above and click "Try it out".
PickupCreationRequestobjectRequired

This request is for scheduling an on-call pickup

Response

successful operation
PickupCreationResponseobject

The response for scheduling an on-callpickup.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error